# Uses of Class
org.jmol.symmetry.UnitCell

Packages that use UnitCell
Package
Description
org.jmol.symmetry

## Uses of UnitCell in org.jmol.symmetry

Fields in org.jmol.symmetry declared as UnitCell
Modifier and Type
Field
Description
`UnitCell`
Symmetry.`unitCell`
Methods in org.jmol.symmetry that return UnitCell
Modifier and Type
Method
Description
`static UnitCell`
UnitCell.`fromOABC(T3[] oabc, boolean setRelative)`
A special constructor for spacially defined unit cells.
`static UnitCell`
UnitCell.`fromParams(float[] params, boolean setRelative, float slop)`
Methods in org.jmol.symmetry with parameters of type UnitCell
Modifier and Type
Method
Description
`M4`
SymmetryDesc.`getTransform(UnitCell uc, SymmetryOperation[] ops, P3 fracA, P3 fracB, boolean best)`
`V3[]`
SymmetryOperation.`rotateAxes(V3[] vectors, UnitCell unitcell, P3 ptTemp, M3 mTemp)`